# $Revision: 1.1 $, $Date: 2002/07/02 19:33:10 $
%include	/usr/lib/rpm/macros.perl
Summary:	Rotates, compresses, removes and mails system log files
Summary(de):	Rotiert, komprimiert und verschickt Systemlogs
Summary(es):	Hace el rutado, comprime y enva mail de logs del sistema
Summary(fr):	Fait tourner, compresse, et envoie par mail les connexions au systme
Summary(pl):	System rotacji i kompresowania logw
Summary(tr):	Sistem gnlklerini ynlendirir, sktrr ve mektup olarak yollar
Name:		logarch
Version:	0.6
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.lohmueller.ch/projects/logarch/%{name}-%{version}.tar.bz2
Patch0:		%{name}-DESTDIR.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The logarch utility is designed to simplify the administration of log
files on a system which generates a lot of log files. Logarch allows
for the automatic rotation compression, removal and mailing of log
files. Logarch can be set to handle a log file daily, weekly, monthly
or when the log file gets to a certain size. Normally, logarch runs as
a daily cron job.

%description -l de
Logarch vereinfacht die Verwaltung von Systemen, die sehr viele
Log-Dateien erzeugen, indem es das automatische Rotieren,
Komprimieren, Entfernen, und Senden von Log-Dateien ermglicht. Jede
Log-Datei kann tglich, wchentlich oder monatlich verarbeitet werden,
wenn sie zu gro wird.

%description -l es
Logarch fue proyectado para facilitar la administracin de sistemas
que generan gran nmero de archivos de log. Permite automatizacin en
la rotacin, compresin, remocin y envo de mail de archivos de logs.
Cada archivo de log puede ser tratado diariamente, semanalmente,
mensualmente o cuanto crezca demasiado.

%description -l fr
Logarch est conu pour faciliter l'administration de systmes qui
gnrent un grand nombre de fichiers de \"log\". Il permet le
roulement, la supprssion la compression et l'envoi automatiques de
ces fichiers. Chaque fichier de \"log\" peut tre pris en charge de
manire quotidienne, hebdomadaire, mensuelle, ou quand il devient trop
volumineux.

%description -l pl
Logarch jest przeznaczony do atwej administracji plikami logw.
Program ten pozwala na automatyczn kompresj logw. Moe kontrolowa
logi raz dziennie, raz na miesic, raz na tydzie lub wtedy kiedy
pliki z logami systemowymi s ju due.

%description -l tr
Logarch ok fazla sayda gnlk dosyas reten sistemlerin ynetimini
kolaylatrmak iin tasarlanmtr. Kayt dosyalarnn otomatik olarak
ynlendirilmesini, sktrlmasn, silinmesin ve mektup olarak
yollanmasn salar. Her dosya gnlk, haftalk, aylk olarak ya da
ok byk boyutlara ulatnda ilenebilir.

%prep
%setup -q
%patch -p0

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README examples/logarch.d/*
%attr(755,root,root) %{_sbindir}/logarch
%attr(750,root,root) %dir %{_sysconfdir}/logarch.d
#%attr(750,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/cron.daily/logarch
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/*.conf
%attr(750,root,root) %dir /var/log/archiv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: logarch.spec,v $
Revision 1.1  2002/07/02 19:33:10  blues
- initial revision.
Very nice thing to rotate logs - we may think to switch on that...

